- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

RT::Test::Email -

# SYNOPSIS

      use RT::Test::Email;

      mail_ok {
        # ... code

      } { from => 'admin@localhost', body => qr('hello') },
        { from => 'admin@localhost', body => qr('hello again') };

      # ... more code

      # XXX: not yet
      mail_sent_ok { from => 'admin@localhost', body => qr('hello') };

      # you should expect all mails by the end of the test

# DESCRIPTION

This is a test helper module for RT, allowing you to expect mail notification generated during the block or the test.

← Back to index